org.keycloak.models.cache.infinispan.entities

## Class CachedRole

- java.lang.Object
- - org.keycloak.models.cache.infinispan.entities.AbstractRevisioned
  - - org.keycloak.models.cache.infinispan.entities.CachedRole

- All Implemented Interfaces:
    Serializable, CachedObject, InRealm, Revisioned
  Direct Known Subclasses:
    CachedClientRole, CachedRealmRole

      public class CachedRole
      extends AbstractRevisioned
      implements InRealm

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `composite`
    `protected Set<String>` | `composites`
    `protected String` | `description`
    `protected String` | `name`
    `protected String` | `realm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedRole(Long revision, RoleModel model, RealmModel realm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultivaluedHashMap<String,String>` | `getAttributes(Supplier<RoleModel> roleModel)`
    `Set<String>` | `getComposites()`
    `String` | `getDescription()`
    `String` | `getName()`
    `String` | `getRealm()`
    `boolean` | `isComposite()`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.entities.AbstractRevisioned

      `getCacheTimestamp, getId, getRevision, setRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.cache.infinispan.entities.Revisioned

      `getId, getRevision, setRevision`

- - ### Field Detail

    - #### name

          protected final String name

    - #### realm

          protected final String realm

    - #### description

          protected final String description

    - #### composite

          protected final boolean composite

    - #### composites

          protected final Set<String> composites

  - ### Constructor Detail

    - #### CachedRole

          public CachedRole(Long revision,
                            RoleModel model,
                            RealmModel realm)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getRealm

          public String getRealm()

      Specified by:
        `getRealm` in interface `InRealm`

    - #### getDescription

          public String getDescription()

    - #### isComposite

          public boolean isComposite()

    - #### getComposites

          public Set<String> getComposites()

    - #### getAttributes

          public MultivaluedHashMap<String,String> getAttributes(Supplier<RoleModel> roleModel)

Copyright © 2021 JBoss by Red Hat. All rights reserved.